# Coding Standards

A standard set of linting rules for PHP projects.

Include this repo as a dependency, then add your own phpcs.xml and phpmd.xml to your project, and set them to inherit these rules:

```
<?xml version="1.0"?>
<ruleset name="DRP">
    <description>DRP Digital's PHP coding standards</description>
    <rule ref="vendor/drp/coding-standards/phpcs.xml"/>
</ruleset>
```

You can then selectively ignore certain rules, or add extra ones as determined by your project.

## Standard composer scripts

```
"scripts": {
    "phpcs": "vendor/bin/phpcs --standard=./phpcs.xml -p ./src",
    "phpmd": "vendor/bin/phpmd ./src text ./phpmd.xml",
    "lint": [
      "composer phpmd",
      "composer phpcs"
    ],
    "test": "vendor/bin/phpunit tests"
}
```